
* {
    margin: 0;
    padding: 0;
}

:root {
  /* Färger */
  --color-black: #0D0D0D;
  --color-white: #F8F8F8;
  --color-brown-dark: #403022;
  --color-brown: #735943;
  --color-beige-light: #F2CAA7;
  --color-beige: #BF8C6F;

  /* UI */
  --radius-sm: 2px;
  --shadow-default: 0 4px 8px rgba(0, 0, 0, 0.2);
   --productCardBoxShadow: 
        rgba(0, 0, 0, 0.1) 0px 4px 6px -1px, 
        rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;

    /* H1 */
  --h1-font-size: 3rem;
  --h1-font-weight: bold;
  --h1-margin-bottom: 2.5rem;
  --h1-color: var(--color-brown-dark);

    /* H2 */
  --h2-font-size: 1.5rem;
  --h2-font-weight: 600;
  --h2-margin-bottom: 0.75rem;
  --h2-color: var(--color-brown-dark);

  /* Blockquote */
  --q-font-style: italic;
  --q-color: var(--color-black);
  --q-margin-bottom: 1rem;

  /* Paragraph */
  --p-font-size: 1rem;
  --p-margin-bottom: 1rem;
  --p-line-height: 1.8;
  --p-color: var(--color-black);

}

body {
  font-family: 'Epilogue', sans-serif;
}

/* LINK */
.a-light {
    text-decoration: none;
    color: var(--color-white)
}

.a:hover {
    text-decoration: underline;
} 


/* BUTTON */
.button-light {
    background-color: var(--color-white);
    color: var(--color-brown-dark);
    font-weight: 700;
}
.button-dark {
    background-color: var(--color-brown-dark);
    color: var(--color-white);
        font-weight: 700;

}

/* BUTTON:Hover 90% Opacitet */
.button-light:hover {
    background-color: rgba(255, 255, 255, 0.8);
}

.button-dark:hover {
    background-color: rgba(64, 48, 34, 0.8);
}

/* HEADER */
/* HEADER */
/* HEADER */
/* HEADER */

header {
  position: relative;
}

.header-img {
  display: block;
  width: 100%;
    /* Line 102, 112, 204 and 309 on homepage */
    /*     max-height: 40vh;
 */    /* Line 104 on subpages */
 max-height: 150px; 
 object-fit: cover;
 object-position: 0 25%;
}

.nav-logo {
  position: absolute;
  z-index: 9;
  /*  bottom: 40px; */
  bottom: 10%;
  left: 50%;
  transform: translateX(-50%);
  height: 180px;
} 

.nav-container-header {
  background-color: rgba(64, 48, 34, 0.8);
  height: 63px;
  position: absolute;
  bottom: 0;
  width: 100%;
  z-index: 10;
} 


.nav-header {
  display: flex;
  justify-content: space-between;
  align-content: center;
  position: absolute;
  bottom: 0;
  width: 100%;
  max-width: 1200px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 10;
} 

.hamburger {  
  display: none;
  background: none;
  cursor: pointer;
  padding: 10px;
  gap: 5px;
  margin-left: 2vw;
  transition: transform 0.3s ease;
}


.hamburger span {
  display: block;
  width: 25px;
  height: 3px;
  background-color: var(--color-white);
  border-radius: var(--radius-sm);
  transition: all 0.3s ease;
  
}

.hamburger.active span:nth-child(1) {
  transform: translateY(8px) rotate(45deg);
}

.hamburger.active span:nth-child(2) {
  opacity: 0;
}

.hamburger.active span:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
}

.nav-left {
  margin-left: 2vw;
  display: flex;
  align-items: center; 
}

.nav-left a {
  padding: 20px;
  text-decoration: none;
  
}

.nav-left a:hover, .nav-left a.active {
  text-decoration: underline;
}

.nav-left a.dropbtn:hover,
.nav-left a.dropbtn.active {
  text-decoration: none;
}

.nav-left a.dropbtn:hover .link-product,
.nav-left a.dropbtn.active .link-product {
  text-decoration: underline;
}

.nav-right {
    margin-right: 2vw;
}

.nav-right button {
    padding: 10px 20px;
    margin: 10px;
}

.dropbtn {
    position: relative;
    display: inline-flex;
    align-items: center;
    gap: 4px;
}
.dropbtn .material-symbols-outlined {
  transition: transform 0.2s ease;
}
.dropbtn:hover .material-symbols-outlined {
  transform: rotate(180deg);
  
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: var(--color-brown-dark);
    border-radius: 0 0 var(--radius-sm) var(--radius-sm)    ;
    min-width: 180px;
    padding: 10px 0;
    z-index: 1;
}
/* 
.dropdown:hover .dropdown-content {
    display: block;
} */

.dropdown-content a {
    display: block;
    padding: 10px 20px;
    white-space:  nowrap;
}

button {
    border: 0;
    border-radius: var(--radius-sm);
    box-shadow: var(--shadow-default);
    display: inline-flex;
    align-items: center;
    gap: 8px;
}

/* TABLET */
@media (max-width: 960px) {
/*
.header-img {
/* max-height: 35vh;
}*/

.hamburger {
  display: flex;
  flex-direction: column;
  align-self: center;
}

.nav-container-header {
  height: 52px;

}

.nav-left.active a, .nav-left.active .dropdown {
  display: flex;
  flex-direction: column;
  margin-top: 1rem;
  width: 90%;
}

.nav-left {
  position: absolute;
  top: 100%;
  left: 0;
  background-color: var(--color-brown-dark);
  width: 60%;
  flex-direction: column;
  align-items: flex-start;
  display: none;
  z-index: 20;
  }
  
.nav-left.active {
  display: flex;
  }
  
  .dropdown-content {
      position: static;
      display: none;
      width: 100%;
          }

  .dropdown-content a{
width: 100%;
      }

}

.dropdown.active .dropdown-content {
    display: flex;
    flex-direction: column;
}   


.dropdown.active .dropbtn .material-symbols-outlined {
    transform: rotate(180deg);
}


.nav-left.active a.dropbtn {
    flex-direction: row;    
    justify-content: space-between; 
    align-items: center;      
    width: 100%;
    padding: 10px 15px;
}



/* MOBILE */

@media (max-width: 768px) {
 .button-light:hover,
    .button-dark:hover {
        background-color: initial;
    }

  .nav-right .btn-text {
    display: none;
  }

  .nav-right button {
    padding: 4px;
    color: var(--color-white);
    background-color: transparent;
  }

}
 
@media (min-width: 961px) {
    .dropbtn:hover .material-symbols-outlined {
        transform: rotate(180deg);
    }
    .dropdown:hover .dropdown-content {
        display: block;
    }
}